# npm-package
## 此包已上传至npm平台，解决多项目组件复用问题及个人开发记录

```
装包及启动
npm install
npm run serve

开发流程
于 src/package 下创建组件文件
于 app.vue 下引入组件测试功能
于 src/package/index.js 中 1.引入 2.注册

生成npm包
npm run package
切官方镜像
npm config set registry=https://registry.npmjs.org
推送
npm publish 
如果要更新版本，需要先git上面提交代码，并且修改package.json里面的"version": "1.1.0"

测试npm包有无发布/更新成功
1. npm uninstall yvlu-ui
2. npm i yvlu-ui
3. 于 app.vue 中测试不引用是否可以直接使用组件（已于main.js中vue.use(yvlu-ui)）


注：参考详情 mdNote/npm发布组件包并使用.md
```

# yvlu-ui 组件文档

> - 整理和收集工作中所开发或魔改的自定义(个性化)组件
> - 避免重复性造轮子

1. 富文本编辑器 于 wangeditor 基础封装

```
<Is-Editor v-model="form.content" read-only="boolean" />
后续可添加长度限制等
```

2. 自定义 tab 组件

```
<dashed-tab />
后续可添加 动态传入tab项名、虚线与对应名绑定、自定义icon等
```
 
 3. ...
