//package/index.js
import IsEditor from "../package/is-editor/index.vue"; // 1.引入封装好的组件 文件夹名首字母均小写以短横线分割 组件名首字母均大写无短横线分割
import DashedTab from "../package/dashed-tab/index.vue";
const coms = [IsEditor, DashedTab]; // 2.将来如果有其它组件,都可以写到这个数组里

// 批量组件注册
const install = function (Vue) {
  coms.forEach((com) => {
    Vue.component(com.name, com);
  });
};

export default install; // 这个方法以后再使用的时候可以被use调用
